# Fan Coil Thermostat LoRaWAN

### Get device data

*Request URL:*

```
POST /provider/fetch
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number" : "{Serial Number}"
}
```

*Response:*

```
{
    "provider": {
        "joinRequestCount": 43,
        "activeFrom": "2023-09-25 10:27:42",
        "application": "mc-devices-testing",
        "batteryVoltage": 0.27,
        "deviceVersions": {
            "hardware": 4,
            "software": 1
        },
        "frameCount": 9,
        "joinRetryPeriod": 10,
        "keepAliveTime": 2,
        "lastActive": "2023-11-02 16:02:19",
        "lux": 112,
        "network_provider": "the_things_industries",
        "pir": true,
        "powerSourceStatus": 1,
        "relativeHumidity": 44.92,
        "rssi": -67,
        "sensorTemperature": 26.6,
        "spf": "7",
        "targetTemperature": 20,
        "uplinkType": "00",
        "watchDogParams": {
            "wdpC": 12,
            "wdpUc": 2
        },
        "childLock": false,
        "actualFanSpeed": 7,
        "deviceStatus": 1,
        "displayedFanSpeed": 2,
        "operationalMode": 1,
        "valveStatus": 0,
        "deltaTemperature1": 100,
        "deltaTemperature2and3": {
            "deltaTemperature2": 100,
            "deltaTemperature3": 100
        },
        "fanSpeedNotOccupied": 0,
        "wiringDiagram": 1,
        "occupancySensorStatusSetPoint": 128,
        "keysLock": 1,
        "targetTemperatureStep": 50,
        "fanSpeed": 1,
        "fanSpeedLimit": 2,
        "ecmVoltageRange": {
            "min": 250,
            "max": 710
        },
        "ecmStartUpTime": 2,
        "ecmRelay": 1,
        "frostProtection": 0,
        "frostProtectionSettings": {
            "threshold": 6,
            "setpoint": 9
        },
        "allowedOperationalModes": 1,
        "coolingSetpointNotOccupied": 23,
        "automaticChangeover": 0,
        "automaticChangeoverThreshold": {
            "coolingThreshold": 16,
            "heatingThreshold": 33
        },
        "mac": "70B3D52DDA000003",
        "online": false,
        "scheduleInfo": {
            "inSchedule": false,
            "mainTarget": null,
            "inPriority": false
        }
    },
    "_links": {
        "self": {
            "href": "/v1/provider/fetch"
        }
    }
}
```

### Set KeepAlive Time

*Request URL:*

```
POST /provider/send
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetKeepAlive",
  "command_params" : {
      "time": 2 // in minutes
}
```

### Get Pending Commands

*Request URL:*

```
POST /provider/send
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "get_pending_commands"
}
```

*Response:*

```
{
    "provider": [
        {
            "_id": "652d43a7c4ff3228464dfb08",
            "deviceId": "70B**********8B",
            "commandName": "GetKeepAliveTime",
            "commandParams": [],
            "status": "queued",
            "createdAt": "2023-10-16T14:07:35.872Z",
            "__v": 0
        }
    ],
    "_links": {
        "self": {
            "href": "/v1/provider/send"
        }
    }
}
```

### Get Device Version

*Request URL:*

```
POST /provider/fetch
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number" : "{Serial Number}",
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "GetDeviceVersion",
  "command_params" : {}
}
```

### Set Join Retry Period

*Request URL:*

```
POST /provider/send
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetJoinRetryPeriod",
  "command_params" : {
    "period" : 2, //minutes, cannot be 0
  }
}
```

### Set Uplink Type

*Request URL:*

```
POST /provider/send
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetUplinkType",
  "command_params" : {
    "type" : "01"  // string, "00" - unconfirmed, "01" - confirmed
  }
}
```

### Set Watch Dog Params

*Request URL:*

```
POST /provider/send
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetWatchDogParams",
  "command_params" : {
    "confirmedUplinks": 17, // in minutes, if it is disabled "0"
    "unconfirmedUplinks": 24,// in hours, if it is disabled "0"
  }
}
```

### Set Display refresh period

*Request URL:*

```
POST /provider/send
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number" : "{Serial Number}",
   "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetDisplayRefreshPeriod",
  "command_params" : {
    "period": 10  // in hours. The default is 10hours. range(1hour – 24hours).
  }
}
```

### Set Min/Max Range

*Request URL:*

```
POST /provider/send
```

*Headers:*

```
Content-Type: application/json
Authorization: Bearer {access_token}
```

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetTemperatureRange",
  "command_params" : {
      "min": 10, // the minimum value* for the device range
      "max": 20 // the maximum value* for the device range
  }
}
```

*\*Note that the min/max values should be between 5 and 30!*

### Set Current temperature visibility

*\**&#x53;et a flag to show/hide the current temperature on the display. Default is show (1)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetCurrentTemperatureVisibility",
  "command_params" : {
      "state" : 1 // possible values 1/0
  }
}
```

### Set Humidity visibility

*\**&#x53;et a flag to show/hide the humidity on the display. Default is show (1)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetHumidityVisibility",
  "command_params" : {
      "state" : 1 // possible values 1/0
  }
}
```

### Set FCT target temperature

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/on-off-and-target-temperature#target-temperature*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/on-off-and-target-temperature#target-temperature)

*Body*:

<pre><code>{
  "serial_number": “{Serial Number}”,
<strong>  "command" : "send_command_to_fan_coil_thermostat",
</strong>  "command_name" : "SetFanCoilTarget",
  "command_params" : {
      "value": 15
  }
}
</code></pre>

### Set target temperature step

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/on-off-and-target-temperature#configuring-the-target-temperature-step*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/on-off-and-target-temperature#configuring-the-target-temperature-step)

*Body*:

<pre><code>{
  "serial_number": “{Serial Number}”,
<strong>  "command" : "send_command_to_fan_coil_thermostat",
</strong>  "command_name" : "SetTargetTemperatureStep",
  "command_params" : {
      "value": 0.5
  }
}
</code></pre>

### Set Keys Lock

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/keys-lock*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/keys-lock)

*Body*:

<pre><code>{
  "serial_number": “{Serial Number}”,
<strong>  "command" : "send_command_to_fan_coil_thermostat",
</strong>  "command_name" : "SetKeysLock",
  "command_params" : {
      "value": 2 
  }
}
</code></pre>

### Set Valve Open Close Time

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#valve-open-close-time*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#valve-open-close-time)

*Body*:

<pre><code>{
  "serial_number": “{Serial Number}”,
<strong>  "command" : "send_command_to_fan_coil_thermostat",
</strong>  "command_name" : "SetValveOpenCloseTime",
  "command_params" : {
      "value": 3  // in seconds
  }
}
</code></pre>

### Set Fan Speed

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#1.1-fan-type-3-speed-fan*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#1.1-fan-type-3-speed-fan)

*Body*:

<pre><code>{
  "serial_number": “{Serial Number}”,
<strong>  "command" : "send_command_to_fan_coil_thermostat",
</strong>  "command_name" : "SetFanSpeed",
  "command_params" : {
    "value": 2
  }
}
</code></pre>

### Set Fan Speed Not Occupied

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ/occupancy-sensor#fan-speed-not-occupied*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ/occupancy-sensor#fan-speed-not-occupied)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetFanSpeedNotOccupied",
  "command_params" : {
    "value": 0
  }
}
```

### Set Fan Speed Limit

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#2.-limiting-the-selectable-fan-speed*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#2.-limiting-the-selectable-fan-speed)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetFanSpeedLimit",
  "command_params" : {
    "value": 2
  }
}
```

### Set ECM Voltage Range

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#3.1.-ecm-fan-min-max-control-voltage-settings.*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#3.1.-ecm-fan-min-max-control-voltage-settings.)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetEcmVoltageRange",
  "command_params" : {
    "min": 2.5, // V
    "max": 7.1 // voltage
  }
}
```

### Set ECM Start Up Time

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#3.3.-ecm-start-up-time*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#3.3.-ecm-start-up-time)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetEcmStartUpTime",
  "command_params" : {
    "value": 2 // in seconds
  }
}
```

### Set ECM Relay

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#3.2.-ecm-relay-f-on*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings#3.2.-ecm-relay-f-on)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetEcmRelay",
  "command_params" : {
    "value": 1 // 1-activated / 0-deactivated
  }
}
```

### Set Frost Protection

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/general-display-and-power-recovery/frost-protection#frost-protection-on-off-status*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/general-display-and-power-recovery/frost-protection#frost-protection-on-off-status)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetFrostProtection",
  "command_params" : {
    "value": 0 
  }
}
```

### Set Frost Protection Settings

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/general-display-and-power-recovery/frost-protection#frost-protection-set-point-and-threshold-temperature*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/general-display-and-power-recovery/frost-protection#frost-protection-set-point-and-threshold-temperature)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetFrostProtectionSettings",
  "command_params" : {
    "threshold": 6,
    "setpoint": 9
  }
}
```

### Get Frost Protection Status

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/general-display-and-power-recovery/frost-protection#frost-protection-status*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/general-display-and-power-recovery/frost-protection#frost-protection-status)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "GetFrostProtectionStatus",
  "command_params" : {}
}
```

### Set FCT Operational Mode

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#change-current-operational-mode*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#change-current-operational-mode)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetFctOperationalMode",
  "command_params" : {
    "value": 1
  }
}
```

### Set Allowed Operational Modes

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#allowed-operational-modes*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#allowed-operational-modes)[ ](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#allowed-operational-modes)

*Body*:

<pre><code>{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetAllowedOperationalModes",
  "command_params" : {
    "value": 1 // see modes in more info
  }
<strong>}
</strong></code></pre>

### Set Cooling Setpoint Not Occupied

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ/occupancy-sensor#cooling-set-point-not-occupied*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ/occupancy-sensor#cooling-set-point-not-occupied)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetCoolingSetpointNotOccupied",
  "command_params" : {
    "value": 23  // in degrees
  }
}
```

### Set Heating Setpoint Not Occupied

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ/occupancy-sensor#heating-set-point-not-occupied*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ/occupancy-sensor#heating-set-point-not-occupied)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetHeatingSetpointNotOccupied",
  "command_params" : {
    "value": 20
  }
}
```

### Set Temp Sensor Compensation

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/on-off-and-target-temperature#measured-temperature-sensor-compensation*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/on-off-and-target-temperature#measured-temperature-sensor-compensation)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetTempSensorCompensation",
  "command_params" : {
    "compensation": 0, // 0 - Compensation is positive, 1- negative
    "temperature": 2.1 
  }
}
```

### Set Automatic Changeover

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ/automatic-changeover*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ/automatic-changeover)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetAutomaticChangeover",
  "command_params" : {
    "value": 0
  }
}
```

### Set Wiring Diagram

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#wiring-diagrams-applications*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/wiring-diagrams-applications-and-operational-modes#wiring-diagrams-applications)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetWiringDiagram",
  "command_params" : {
    "value": 1
  }
}
```

### Set OCC Function

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#set-get-occ-function*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#set-get-occ-function)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetOccFunction",
  "command_params" : {
    "value": 1
  }
}
```

### Set Device Status

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/on-off-and-target-temperature#device-on-off-status*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/on-off-and-target-temperature#device-on-off-status)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetDeviceStatus",
  "command_params" : {
    "value": 1
  }
}
```

### Set Return Of Power Operation

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/general-display-and-power-recovery#operation-after-return-of-power-supply*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/general-display-and-power-recovery#operation-after-return-of-power-supply)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetReturnOfPowerOperation",
  "command_params" : {
    "value": 1
  }
}
```

### Set Delta Temperature 1

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings/auto-fan-d-settings#delta-temperature-1-dt1*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings/auto-fan-d-settings#delta-temperature-1-dt1)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetDeltaTemperature1",
  "command_params" : {
    "value": 0.5
  }
}
```

### Set Delta Temperature 2 and 3

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings/auto-fan-d-settings#delta-temperatures-2-dt2-and-3-dt3*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/fan-settings/auto-fan-d-settings#delta-temperatures-2-dt2-and-3-dt3)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetDeltaTemperature2and3",
  "command_params" : {
    "deltaTemperature2": 1.5,
    "deltaTemperature3": 2
  }
}
```

### Get Occupancy Sensor Status Set-Point

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#01-closed-occupied-open-not-occupied-set-point-decrease*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#01-closed-occupied-open-not-occupied-set-point-decrease)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "GetOccupancySensorStatusSetPoint",
  "command_params" : {}
}
```

### Get Occupancy Sensor Status

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#03-close-occupied-open-not-occupied-fan-off-valve-closed*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#03-close-occupied-open-not-occupied-fan-off-valve-closed)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "GetOccupancySensorStatus",
  "command_params" : {}
}
```

### Get Dew Point Sensor Status

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#05-open-dew-point-reached-closed-dew-point-not-reached*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#05-open-dew-point-reached-closed-dew-point-not-reached)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "GetDewPointSensorStatus",
  "command_params" : {}
}
```

### Get Filter Alarm

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#07-open-filter-alarm*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/function-of-digital-input-output-occ#07-open-filter-alarm)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "GetFilterAlarm",
  "command_params" : {}
}
```

### Set External Automatic temperature control mode

*\*More info:* [*https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/external-temperature-measurement#1.-automatic-temperature-control-mode-with-external-temperature-reading*](https://docs.mclimate.eu/mclimate-lorawan-devices/devices/mclimate-fan-coil-thermostat-fct/external-temperature-measurement#1.-automatic-temperature-control-mode-with-external-temperature-reading)

*Body*:

```
{
  "serial_number": “{Serial Number}”,
  "command" : "send_command_to_fan_coil_thermostat",
  "command_name" : "SetExtAutomaticTemperatureControl",
  "command_params" : {
    "value": 0  // 0 or 1
  }

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mclimate.eu/mclimate-api-documentation/control-devices/fan-coil-thermostat-lorawan.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
